net.corda.core.messaging

## Class StateMachineUpdate.Removed

- net.corda.core.messaging.StateMachineUpdate
- - net.corda.core.messaging.StateMachineUpdate.Removed

- Enclosing class:
    StateMachineUpdate

      public static class StateMachineUpdate.Removed
      extends StateMachineUpdate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.messaging.StateMachineUpdate

      `StateMachineUpdate.Added, StateMachineUpdate.Removed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Removed(StateMachineRunId id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.corda.core.messaging.StateMachineUpdate

      `getId`

- - ### Constructor Detail

    - #### Removed

          public Removed(StateMachineRunId id)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()